# Don't manually change, let poetry-dynamic-versioning-plugin handle it.
__version__ = "0.16.2"

__all__ = [
    "AuthenticationError",
    "ConfigError",
    "ConnectionLost",
    "Device",
    "FeatureUnavailableError",
    "Implementation",
    "MaxHistoryLengthError",
    "PyboardException",
    "SpecialFunctionNameError",
    "list_devices",
    "minify",
]
from ._minify import minify
from .device import Device, Implementation
from .exceptions import (
    AuthenticationError,
    ConfigError,
    ConnectionLost,
    FeatureUnavailableError,
    MaxHistoryLengthError,
    SpecialFunctionNameError,
)
from .helpers import list_devices
from .pyboard import PyboardException
